%define name apradar
%define version 0.40
%define release 1mdk

Summary: Wireless Ethernet Association Manager and Netstumbler.
Name: %name
Version: %version
Release: %release
Url: http://apradar.sourceforge.net/
License: MIT
Group: Networking/Other
Source: %{name}-%{version}.tar.bz2
Patch0:	%name-datadir.patch.bz2
Buildroot: %_tmppath/%name-buildroot
Requires: libgtkmm libsigc++

%description
AP Radar is a wireless association manager and netstumbler.
It presents a GUI that lists all the access points in range.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p1

%build

%configure

%make

%install

%makeinstall

mkdir -p $RPM_BUILD_ROOT%_datadir/%name
install -s -m 644 src/*.xpm $RPM_BUILD_ROOT%_datadir/%name

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/apradar"\
title="Apradar"\
longtitle="Netstumbler like"\
needs="x11"\
icon="networking_other.png"\
section="Networking/Other"
EOF
)

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README 
%_bindir/*
%_datadir/%name
%_menudir/*

%changelog
* Mon Dec 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.40-1mdk
- patch0: move datadir to %__datadir

- from Donald Park <donp@personaltelco.net> :
	- created autoconf/automake scripts
	- added IP monitoring
	- launches dhcp clien on associate command

* Tue Oct 29 2002 Donald Park <donp@personaltelco.net> 
- Fixed code to compile with gcc 3.2
- Changed wep off/on to open/closed warchalk mark

* Wed Sep 4 2002 Donald Park <donp@personaltelco.net> 
- RPM buildtest


